Subject: Re: bug#8585: 23.3; Feature Request/"patch": allow initial tabs for python tracebacks

From: Dave Abrahams <[email-masked]>
Date: Fri, 17 Jun 2011 12:37:14 -0400

At Mon, 09 May 2011 11:01:42 -0300,
Stefan Monnier wrote:
> 
> >>> I have some tools that produce python tracebacks, but they add an
> >>> initial tab.  BuildBot is one example.
> >> 
> >>> (caml
> >>> -     "^ *File \\(\"?\\)\\([^,\" \n\t<>]+\\)\\1, lines? \\([0-9]+\\)-?\\([0-9]+\\)?\\(?:$\\|,\
> >>> +     "^\s-*File \\(\"?\\)\\([^,\" \n\t<>]+\\)\\1, lines? \\([0-9]+\\)-?\\([0-9]+\\)?\\(?:$\\|,\
> >>> \\(?: characters? \\([0-9]+\\)-?\\([0-9]+\\)?:\\)?\\([ \n]Warning:\\)?\\)"
> >>> 2 (3 . 4) (5 . 6) (7))
> >> 
> >> Shouldn't it be `[\s-]*' rather than `\s-*'?
> 
> > Rather "\\s-*".  Surely you don't want to match "-".
> 
> BTW, I think it's usually preferable not to rely on syntax-tables for
> "white space".  So "[ \t]*" will do fine.

Well, OK... do I need to submit a new bug report, or...?

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com